###	@(#)rc.local.add.nc.b	1.1 93/01/14		Sun/Interphase	START
###
###	From 1.5 12/19/91 Interphase	START
###
###	1. Locate the following line:
###		nfsd 8 &	echo -n ' nfsd'
###
###	2. Add the following lines immediately after that line:
	# Note that the number of daemons started is a user-configurable
	# option. It should be tuned as needed to optimize the trade-off
	# between NFS service and server CPU consumption. For now, 8
	# daemons are started per ne interface configured.

	# Start up nc_nfsds if any ne interface is up.
	i=0
	ne_cnt=0
	while [ $i -lt 8 ] ; do
		if sncnet ne$i ; then
			ne_cnt=`expr $ne_cnt + 1`
			#
			# SNC default is to turn off the NFS non-idempotent
			# request caching and to turn on UDP check sums.
			#
			sncnet -s nfsretryfilt 0 ne$i
			sncnet -s udpcksum 1 ne$i
		fi
		i=`expr $i + 1`
	done

	if [ $ne_cnt -gt 0 ]; then
                ne_cnt=`expr $ne_cnt \* 8`
                snc_nfsd $ne_cnt &      echo -n ' snc_nfsd'
        fi
###	@(#)rc.local.add.nc.b	1.1 93/01/14		Sun/Interphase	END
