#!/bin/sh
#
#	@(#)edit_files.cmn.sh	1.2 93/01/15 Copyright (C) 1992  Sun Microsystems, Inc

Error () {
	fmt -79 <<- EOF
	
	$*
	
	EOF
	exit 1
}

DIR=${PROTO}/sys/conf.common
FILE=files.cmn
ORIG=$FILE.presnc
FULLNAME="$TOP_DIR$DIR/$FILE"

cd $TOP_DIR$DIR

###################################################################
# Check that file exists and has not been SNC-fied.
###################################################################

if [ -f $FILE ] && grep -sw SNC $FILE && grep -s 'optional ne device' $FILE
then
	echo $FILE has already been modified for $PRODUCT.
	exit 0
fi

###################################################################
# Ensure original is backed up.
###################################################################

if [ -f $FILE ] ; then
	if [ ! -f $ORIG ] ; then
		cp -p $FILE $ORIG
	fi
elif [ -f $ORIG ] ; then
	cp -p $ORIG $FILE
else
	Error Can not edit $FULLNAME -- file does not exist.
fi

###################################################################
# Perform the edit.
###################################################################

echo Editing $FULLNAME
sed -e '/^###/d' ${INSTALL_DIR}/SNC/files.cmn.add.nc.a >> $FILE

exit 0
