###	@(#)config.add.nc.b	1.1 93/01/14		Sun/Interphase	START
###
###	From 1.5 9/8/92 Interphase
###
###	Add the following lines to the end of your config file.
###
###	NOTE: As shipped, this file adds support for one ne device.
###	Remove the comment character from the lines which configure
###	any additional ne's you have installed.

# The "ne" devices are only needed if you have the Interphase
# Network Coprocessor. 
# Configure as many "ne" devices as there are NC's installed.
# Be aware of possible address space conflicts.  (See notes re
# PrestoServe under ne4 and ne5.)
#
# Device ne0 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x6000 - 0x67FF]
# 24-bit and 32-bit address spaces: [0x00A00000 - 0x00A7FFFF]
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.
#
device		ne0 at vme16d32 ? csr 0x6000 flags 0x00a00000 priority 3 
			vector neintr 0xd4
#
# Device ne1 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x6800 - 0x6FFF]
# 24-bit and 32-bit address spaces: [0x00A80000 - 0x00AFFFFF]
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.
#
#device		ne1 at vme16d32 ? csr 0x6800 flags 0x00a80000 priority 3 
#			vector neintr 0xd5
#
# Device ne2 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x5000 - 0x57FF]
# 24-bit and 32-bit address spaces: [0x00B00000 - 0x00B7FFFF]
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.
#
#device		ne2 at vme16d32 ? csr 0x5000 flags 0x00b00000 priority 3 
#			vector neintr 0xd6
#
# Device ne3 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x5800 - 0x5FFF]
# 24-bit and 32-bit address spaces: [0x00B80000 - 0x00BFFFFF]
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.
#
#device		ne3 at vme16d32 ? csr 0x5800 flags 0x00b80000 priority 3 
#			vector neintr 0xd7
#
# Device ne4 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x2000 - 0x27FF]
# 24-bit and 32-bit address spaces: [0x00c00000 - 0x00c7FFFF]
#
# Note: these addresses are different from previous releases of NC software to
# avoid conflicts with PrestoServ.  Previous 16-bit address space: 0x4000
# Previous 24/32-bit address space: 0x00800000.
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.  Watch out for PrestoServe, which
# likes to use this same 32-bit address range.
#
#device		ne4 at vme16d32 ? csr 0x2000 flags 0x00c00000 priority 3 
#			vector neintr 0xd8
#
# Device ne5 uses the following ranges in the vme bus address spaces:
# 16-bit address space: [0x2800 - 0x2FFF]
# 24-bit and 32-bit address spaces: [0x00c80000 - 0x00cFFFFF]
#
# Note: these addresses are different from previous releases of NC software to
# avoid conflicts with PrestoServ.  Previous 16-bit address space: 0x4800
# Previous 24/32-bit address space: 0x00880000.
#
# Ensure that no other device configured in your system conflicts
# with the address ranges above.  Watch out for PrestoServe, which
# likes to use this same 16-bit address range.
#
#device		ne5 at vme16d32 ? csr 0x2800 flags 0x00c80000 priority 3 
#			vector neintr 0xd9
###	@(#)config.add.nc.b	1.1 93/01/14		Sun/Interphase	END
